import { TransformationHandlerParams } from "upload-plugin-sdk/types/transform/TransformationHandlerParams";
import { PluginEstimationResult, PluginTransformationResult } from "upload-plugin-sdk/types/PluginInvocationResult";

export type TransformationHandler<TParams, TEstimation extends PluginEstimationResult> = (
  request: TransformationHandlerParams<TParams, TEstimation>
  // eslint-disable-next-line @typescript-eslint/no-invalid-void-type
) => Promise<void | Partial<PluginTransformationResult>>;
