import { FileMetadataGetter, FileMetadataSetter, FunctionInvocationFilePaths, LocalFileResolver, Logger, Transformation, TransformationDefinitionStep } from "../..";
import { FileDownloader } from "../../types/transform/FileDownloader";
export interface TransformationHandlerParamsBase<TParams> {
    download: FileDownloader;
    getMetadata: FileMetadataGetter;
    log: Logger;
    params: TParams;
    paths: FunctionInvocationFilePaths;
    resolve: LocalFileResolver;
    setMetadata: FileMetadataSetter;
    step: TransformationDefinitionStep<TParams>;
    transformation: Transformation;
}
