import { PluginInvocation } from "upload-plugin-sdk/types/PluginInvocation";
import { PluginEstimationResult, PluginInvocationResult } from "upload-plugin-sdk/types/PluginInvocationResult";

export type PluginDefaultExport<TParams, TEstimation extends PluginEstimationResult> = (
  invocation: PluginInvocation<TParams, TEstimation>
) => Promise<PluginInvocationResult<TEstimation>>;
