import { TransformationDefinitionStep } from "upload-plugin-sdk/types/TransformationDefinitionStep";
import { TransformationCachePolicy } from "upload-plugin-sdk/types/TransformationCachePolicy";

export interface TransformationDefinition {
  caching: TransformationCachePolicy | undefined;
  description: string;
  slug: string;
  steps: [TransformationDefinitionStep<any>]; // Legacy. Always contains exactly one element.
  transformationId: string;
}
