import { PluginEstimationResult } from "upload-plugin-sdk/types/PluginInvocationResult";
import { EstimationHandlerParams } from "upload-plugin-sdk/types/transform/EstimationHandlerParams";

export type EstimationHandler<TParams, TEstimation extends PluginEstimationResult> = (
  request: EstimationHandlerParams<TParams>
) => Promise<TEstimation>;
